;BEGIN FRAGMENT CODE - Do not edit anything between this and the end comment
;NEXT FRAGMENT INDEX 8
Scriptname QF_MGR10_00028A13 Extends Quest Hidden

;BEGIN ALIAS PROPERTY Client
;ALIAS PROPERTY TYPE ReferenceAlias
ReferenceAlias Property Alias_Client Auto
;END ALIAS PROPERTY

;BEGIN ALIAS PROPERTY HoldingContainer
;ALIAS PROPERTY TYPE ReferenceAlias
ReferenceAlias Property Alias_HoldingContainer Auto
;END ALIAS PROPERTY

;BEGIN ALIAS PROPERTY ClientLocation
;ALIAS PROPERTY TYPE LocationAlias
LocationAlias Property Alias_ClientLocation Auto
;END ALIAS PROPERTY

;BEGIN ALIAS PROPERTY QuestGiver
;ALIAS PROPERTY TYPE ReferenceAlias
ReferenceAlias Property Alias_QuestGiver Auto
;END ALIAS PROPERTY

;BEGIN ALIAS PROPERTY EnchatingItem
;ALIAS PROPERTY TYPE ReferenceAlias
ReferenceAlias Property Alias_EnchatingItem Auto
;END ALIAS PROPERTY

;BEGIN FRAGMENT Fragment_6
Function Fragment_6()
;BEGIN CODE
MGRShellScript MGR = MGRShell as MGRShellScript
MGR.StartSergiusQuest()
Stop()
;END CODE
EndFunction
;END FRAGMENT

;BEGIN FRAGMENT Fragment_5
Function Fragment_5()
;BEGIN CODE
;Client died before pick-up
FailAllObjectives()
MGRShellScript MGR = MGRShell as MGRShellScript
MGR.StartSergiusQuest()
MGR.pMGR10Done = 1
Stop()
;END CODE
EndFunction
;END FRAGMENT

;BEGIN FRAGMENT Fragment_2
Function Fragment_2()
;BEGIN CODE
SetObjectiveCompleted(10,1)
SetObjectiveDisplayed(20,1)
Game.GetPlayer().AddItem(Alias_EnchatingItem.GetReference(), 1)
;END CODE
EndFunction
;END FRAGMENT

;BEGIN FRAGMENT Fragment_0
Function Fragment_0()
;BEGIN CODE
SetObjectiveCompleted(20,1)
Game.GetPlayer().Additem(LvlQuestReward01Small,1)
Game.GetPlayer().RemoveItem(Alias_EnchatingItem.GetReference(), 1)
MGRShellScript MGR = MGRShell as MGRShellScript
MGR.StartSergiusQuest()
MGR.pMGR10Done = 1
pMGRMasterTotal.Value += 1
Game.IncrementStat("College of Winterhold Quests Completed", 1)

int currQuests = -1
float skillDivisor = 1.0
String rankID = ""
if (!Quest.GetQuest("MG03").IsCompleted())
	currQuests = 5
	if (Quest.GetQuest("C04").IsCompleted() || Quest.GetQuest("TG07").IsCompleted())
		currQuests = 30
	elseif (Quest.GetQuest("C03").IsCompleted() || Quest.GetQuest("TG05").IsCompleted())
		currQuests = 20
	elseif (Quest.GetQuest("C01").IsCompleted() || Quest.GetQuest("TG03").IsCompleted())
		currQuests = 10
	endif
	skillDivisor = 35.0
	rankID = "I"
elseif (!Quest.GetQuest("MG04").IsCompleted())
	currQuests = 15
	if (Quest.GetQuest("C04").IsCompleted() || Quest.GetQuest("TG07").IsCompleted())
		currQuests = 70
	elseif (Quest.GetQuest("C03").IsCompleted() || Quest.GetQuest("TG05").IsCompleted())
		currQuests = 40
	elseif (Quest.GetQuest("C01").IsCompleted() || Quest.GetQuest("TG03").IsCompleted())
		currQuests = 30
	endif
	skillDivisor = 60.0
	rankID = "II"
elseif (!Quest.GetQuest("mg06").IsCompleted())
	currQuests = 40
	if (Quest.GetQuest("C04").IsCompleted() || Quest.GetQuest("TG07").IsCompleted())
		currQuests = 145
	elseif (Quest.GetQuest("C03").IsCompleted() || Quest.GetQuest("TG05").IsCompleted())
		currQuests = 90
	elseif (Quest.GetQuest("C01").IsCompleted() || Quest.GetQuest("TG03").IsCompleted())
		currQuests = 80
	endif
	skillDivisor = 90.0
	rankID = "III"
endif

if (currQuests > 0)
	int loyaltyProgress = (100.0 * (pMGRMasterTotal.Value as float) / (currQuests as float)) as int
	float skill1 = Game.GetPlayer().GetBaseActorValue("Destruction") as float
	float skill2 = Game.GetPlayer().GetBaseActorValue("Illusion") as float
	float skill3 = Game.GetPlayer().GetBaseActorValue("Conjuration") as float
	float skill4 = Game.GetPlayer().GetBaseActorValue("Alteration") as float
	float skill5 = Game.GetPlayer().GetBaseActorValue("Restoration") as float
	float maxSkill12 = (skill1 + skill2 + math.abs(skill1 - skill2)) / 2
	float maxSkill23 = (skill3 + maxSkill12 + math.abs(skill3 - maxSkill12)) / 2
	float maxSkill34 = (skill4 + maxSkill23 + math.abs(skill4 - maxSkill23)) / 2
	float maxSkill = (skill5 + maxSkill34 + math.abs(skill5 - maxSkill34)) / 2
	int skillProgress = (100.0 * maxSkill / skillDivisor) as int
	if (loyaltyProgress >= 100 && skillProgress >= 100)
		Debug.Notification("College Rank " + rankID + " Achieved!")
	else
		Debug.Notification("Quests to Next Rank: " + loyaltyProgress + "%")
		Debug.Notification("Skill to Next Rank: " + skillProgress + "%")
	endif
endif

Stop()
;END CODE
EndFunction
;END FRAGMENT

;BEGIN FRAGMENT Fragment_4
Function Fragment_4()
;BEGIN CODE
SetObjectiveDisplayed(10,1)
;END CODE
EndFunction
;END FRAGMENT

;END FRAGMENT CODE - Do not edit anything between this and the begin comment

quest Property MGRShell  Auto

GlobalVariable Property FavorRewardSmall  Auto

LeveledItem Property LvlQuestReward01Small  Auto

GlobalVariable Property pMGRMasterTotal  Auto
